HisendHISEND Docs

List retained provider configuration

GET
/admin/provider-cleanups

Requires a user JWT with the admin role.

Authorization

AdminJWT
AuthorizationBearer <token>

User JWT; backend checks the admin role. Project API keys cannot access admin endpoints.

In: header

Query Parameters

page?integer
Default1
Range1 <= value
limit?integer
Default20
Range1 <= value <= 100
project_id?string
status?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.hisend.app/v1/admin/provider-cleanups"
{
  "cleanups": [
    {
      "id": 0,
      "project_id": 0,
      "domain": "string",
      "provider": "string",
      "status": "pending",
      "error": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "total": 0
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}